
Foreman - Bug #6191

pry 0.10.0 dropped Ruby 1.8 support

06/12/2014 01:29 PM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee: Greg Sutcliffe   

Category: Packaging   

Target version: 1.5.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This isn't affecting core test runs as we exclude the development group, but is affecting Debian asset compilation on Ruby 1.8

platforms.

/var/lib/gems/1.8/gems/pry-0.10.0/lib/pry.rb:39: syntax error, unexpected ':', expecting ')'

    output.puts Pry.view_clip(value, id: true)

                                        ^

/var/lib/gems/1.8/gems/pry-0.10.0/lib/pry.rb:43: syntax error, unexpected kDO_BLOCK, expecting kEN

D

  DEFAULT_EXCEPTION_HANDLER = proc do |output, exception, _|

                                     ^

/var/lib/gems/1.8/gems/pry-0.10.0/lib/pry.rb:43: syntax error, unexpected '|', expecting '='

/var/lib/gems/1.8/gems/pry-0.10.0/lib/pry.rb:84: syntax error, unexpected kDO_BLOCK, expecting ']'

                proc do |_, _, _pry_|

                       ^

/var/lib/gems/1.8/gems/pry-0.10.0/lib/pry.rb:84: syntax error, unexpected '|', expecting '='

/var/lib/gems/1.8/gems/pry-0.10.0/lib/pry.rb:87: syntax error, unexpected ',', expecting $end

/var/lib/workspace/workspace/packaging_build_deb_coreproject/label/debian/os/precise/debian/precis

e/build-foreman/foreman/config/application.rb:22

Associated revisions

Revision 52a68af1 - 06/12/2014 04:42 PM - Greg Sutcliffe

Fixes #6191 - pin pry for ruby 1.8 compat

Revision 63439300 - 06/13/2014 12:38 PM - Greg Sutcliffe

Fixes #6191 - pin pry for ruby 1.8 compat

(cherry picked from commit 52a68af1a97aef03115b357451807f75c8a60d9d)

Revision 06aeb6cb - 06/13/2014 12:40 PM - Greg Sutcliffe

Fixes #6191 - pin pry for ruby 1.8 compat

(cherry picked from commit 52a68af1a97aef03115b357451807f75c8a60d9d)

History

#1 - 06/12/2014 02:33 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Greg Sutcliffe

- translation missing: en.field_release set to 16

https://github.com/theforeman/foreman/pull/1509

#2 - 06/12/2014 05:31 PM - Greg Sutcliffe

05/12/2024 1/2

https://github.com/theforeman/foreman/pull/1509


- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 52a68af1a97aef03115b357451807f75c8a60d9d.
